# Uses of Class
org.eclipse.swt.widgets.ToolBar

Packages that use ToolBar
Package
Description
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.jface.menus
Provides support for trim specification.
org.eclipse.swt.widgets
SWT widget public API classes.
org.eclipse.ui.menus
Provides the public API and default implementation for contributing menu and toolbars to the menu service.

## Uses of ToolBar in org.eclipse.jface.action

Methods in org.eclipse.jface.action that return ToolBar
Modifier and Type
Method
Description
`ToolBar`
ToolBarManager.`createControl(Composite parent)`
Creates and returns this manager's tool bar control.
`ToolBar`
ToolBarManager.`getControl()`
Returns the tool bar control for this manager.
Methods in org.eclipse.jface.action with parameters of type ToolBar
Modifier and Type
Method
Description
`void`
ActionContributionItem.`fill(ToolBar parent, int index)`
The `ActionContributionItem` implementation of this , `IContributionItem` method creates an SWT `ToolItem` for the action using the action's style.
`void`
ContributionItem.`fill(ToolBar parent, int index)`
The default implementation of this `IContributionItem` method does nothing.
`final void`
ControlContribution.`fill(ToolBar parent, int index)`
The control item implementation of this `IContributionItem` method calls the `createControl` framework method to create a control under the given parent, and then creates a new tool item to hold it.
`void`
IContributionItem.`fill(ToolBar parent, int index)`
Fills the given tool bar with controls representing this contribution item.
`void`
MenuManager.`fill(ToolBar parent, int index)`
`void`
Separator.`fill(ToolBar toolbar, int index)`
`void`
SubContributionItem.`fill(ToolBar parent, int index)`
`void`
SubMenuManager.`fill(ToolBar parent, int index)`
`protected void`
ToolBarManager.`relayout(ToolBar layoutBar, int oldCount, int newCount)`
Re-lays out the tool bar.
Constructors in org.eclipse.jface.action with parameters of type ToolBar
Modifier
Constructor
Description
``
`ToolBarManager(ToolBar toolbar)`
Creates a tool bar manager for an existing tool bar control.

## Uses of ToolBar in org.eclipse.jface.menus

Methods in org.eclipse.jface.menus with parameters of type ToolBar
Modifier and Type
Method
Description
`void`
AbstractTrimWidget.`fill(ToolBar parent, int index)`
`void`
IWidget.`fill(ToolBar parent, int index)`
Fills the given tool bar with controls representing this contribution item.

## Uses of ToolBar in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return ToolBar
Modifier and Type
Method
Description
`ToolBar`
ToolItem.`getParent()`
Returns the receiver's parent, which must be a `ToolBar`.
`ToolBar`
Shell.`getToolBar()`
Returns a ToolBar object representing the tool bar that can be shown in the receiver's trim.
Constructors in org.eclipse.swt.widgets with parameters of type ToolBar
Modifier
Constructor
Description
``
`ToolItem(ToolBar parent, int style)`
Constructs a new instance of this class given its parent (which must be a `ToolBar`) and a style value describing its behavior and appearance.
``
`ToolItem(ToolBar parent, int style, int index)`
Constructs a new instance of this class given its parent (which must be a `ToolBar`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.

## Uses of ToolBar in org.eclipse.ui.menus

Methods in org.eclipse.ui.menus with parameters of type ToolBar
Modifier and Type
Method
Description
`void`
CommandContributionItem.`fill(ToolBar parent, int index)`